# smbtar (1)

## Samba

## 23 Oct 1998

## NAME

smbtar - shell script for backing up SMB/CIFS shares directly to UNIX tape drives

## SYNOPSIS

smbtar -s server [-p password] [-x service] [-X] [-d directory] [-u user] [-t tape] [-b blocksize] [-N filename] [-i] [-r] [-l log level] [-v] filenames

## DESCRIPTION

This program is part of the Samba suite.

smbtar is a very small shell script on top of smbclient which dumps SMB shares directly to tape.

## OPTIONS

-s server
  The SMB/CIFS server that the share resides upon.

-x service
  The share name on the server to connect to. The default is `backup`.

-X
  Exclude mode. Exclude filenames... from tar create or restore.

-d directory
  Change to initial directory before restoring / backing up files.

-v
  Verbose mode.

-p password
  The password to use to access a share. Default: none

-u user
  The user id to connect as. Default: UNIX login name.

-t tape
  Tape device. May be regular file or tape device. Default: TAPE environmental variable; if not set, a file called `tar.out`.

-b blocksize
  Blocking factor. Defaults to 20. See tar (1) for a fuller explanation.

-N filename
  Backup only files newer than filename. Could be used (for example) on a log file to implement incremental backups.

-i
  Incremental mode; tar files are only backed up if they have the archive bit set. The archive bit is reset after each file is read.

-r
  Restore. Files are restored to the share from the tar file.

-l log level
  Log (debug) level. Corresponds to the -d flag of smbclient (1).

## ENVIRONMENT VARIABLES

The TAPE variable specifies the default tape device to write to. May be overridden with the -t option.

## BUGS

The smbtar script has different options from ordinary tar and tar called from smbclient.

## CAVEATS

Sites that are more careful about security may not like the way the script handles PC passwords. Backup and restore work on entire shares, should work on file lists. smbtar works best with GNU tar and may not work well with other versions.

## VERSION

This man page is correct for version 2.0 of the Samba suite.

## SEE ALSO

smbclient (1), smb.conf (5)

## DIAGNOSTICS

See the DIAGNOSTICS section for the smbclient command.

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell samba@samba.org. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

Ricky Poulten poultenr@logica.co.uk wrote the tar extension and this man page. The smbtar script was heavily rewritten and improved by Martin Kraemer Martin.Kraemer@mch.sni.de. Many thanks to everyone who suggested extensions, improvements, bug fixes, etc. The man page sources were converted to YODL format (another excellent piece of Open Source software available at ftp://ftp.icce.rug.nl/pub/unix/) and updated for the Samba2.0 release by Jeremy Allison, samba@samba.org.

See samba (7) to find out how to get a full list of contributors and details on how to submit bug reports, comments etc.